Subject: Re: CCL: language

From: "Tamas Gunda" <[email-masked]>
Date: Tue, 28 Oct 1997 09:46:21 +1

Didier MATHIEU wrote:
> For me I have to choose a programming langage. Indeed, facing a serious
> need for a broad range of specific programs for molecular engineering of
> energetic materials (implementing simple and efficient empirical models
> based on molecular mechanics, groups increments, QSPR relationships...) 
> we have these programs written by students who remain in the team for
> short training periods (few months). 
> In this context of fairly long-term projects with high turnover and poor
> communication between succesive programmers, pieces of code written by
> some people must be used easily by others, hence codes must be at least
> modular. Experience with Fortran has shown us that training students,
> because of the limited time allocated, are in a hurry to implement as
> much as possible, and resulting code is not well structured. On the
> other hand, since they are mostly students in physics or chemistry, most
> of them do not master C or C++ , although all of them have some
> programming experience, for instance with Pascal or Basic.
> 
> According to me, none of those free langages, C, C++ and Fortran, is a
> good choice and I am looking for a SIMPLE langage supporting REUSABILITY
> and QUICK DEVELOPMENT. 
> 
It is difficult to suggest, as the demands are contraversial:
you need a structured, modular, but simple language
for students with little practice. The most simple is classical 
Basic.

Frankly speaking, I would suggest C, but not classical Pascal,
Fortran is a language of the past (even if some does not agree).
The only advantage of the latter that quite a lot of scientific
algorithms, procedures can be found in libraries - but these 
can be easily converted to another environment. 

Anyway, you have to consider the demands. 
Programming under Windows or DOS or UNIX etc?
Only small scientific applications will be done or
something bigger is in mind? What kind of previous practice your 
students have? Is everybody on the same level? etc etc.

DOS based applications can be done even today, especially for 
in-house scientific calculations, without the many 
bells-and-whistles of Windows of course (but this may be
an advantage too...)

The languages under Windows are not immediately straightforward, 
even Visual Basic: it is quite far from the classical DOS-based Basic
and needs some excercising before something serious can be done.
In Basic one can write structured and modular code, but it needs 
very careful planning in advance - of course, its modularity will
never be on same high level as in C. Borland's Delphi is growing to more
popular recently. The next is C or C++, which is the most
sympathic for me, and the latest is JAVA (but I have no practice with 
it, so I cannot say any pro or con).

Tamas E. Gunda

************************************************************************
   Dr Tamas E. Gunda                   phone: (+36-52) 316666 ext 2479
   Research Group of Antibiotics       fax  : (+36-52) 310936
   L. Kossuth University               e-mail: [email-masked]
   POBox 36                                   
   H-4010 Debrecen
   Hungary
************************************************************************